Das Forum

Can't start playonlinux

Autor Antworten
nirtal Saturday 29 December 2007 at 1:15
nirtalAnonymous

Hi! I'm on a gentoo box and when I try to run playonlinux I get this


PlayOnLinux v2.0
----------------
Checking python : [ Ok ]
which: no lynx in (/home/nirtal/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/i686-pc-linux-gnu/gcc-bin/4.1.2:/usr/kde/3.5/bin:/usr/qt/3/bin:/usr/games/bin:/opt/vmware/workstation/bin)
Traceback (most recent call last):
File "/home/nirtal/Skrivbord/playonlinux/python/message.py", line 22, in ?
import wxversion, os, getopt, sys, urllib, signal
ImportError: No module named wxversion
nirtal@nirtal:~/Skrivbord/playonlinux$


Do any one have a suggestion of what I can do?
Asimov Saturday 29 December 2007 at 11:22
Asimov

You need to install some dependencies to run PlayOnLinux, which must be installed manually if you use the .tar.gz package.
You need :
- lynx (we can read on your shell that it's missing)

Aslo check that you have :
- imagemagick (we use it for icons)
- a recent version of python-wxgtk (2.8 would be perfect)
- wine (but I think it's OK )
- unzip, wget, xterm and python (but I also think it's OK )

I think we should notice all these dependencies somewhere in our documentation. That could be useful for those who don't use a debian-like distribution.

I hope that will solve your problem.

[Notice that my english might not be perfect... please excuse-me for that.]

Nous piétinerons éternellement aux frontières de l'Inconnu, cherchant à comprendre ce qui restera toujours incompréhensible. Et c'est précisément cela qui fait de nous des hommes.

Aymeric P. Monday 31 December 2007 at 5:54
Aymeric P.
Admin

Hi
A french user have try too run PlayOnLinux on a gentoo.
He have report this link for the package wxGTK

http://overlays.gentoo.org/dev/dirtyepic/wiki/WikiStart
http://bugs.gentoo.org/show_bug.cgi?id=145884

In gentoo, the version of package wxGTK is 2.6.x and PlayOnLinux need 2.8.x

Original french post is here : http://www.playonlinux.com/topic-770-POL_Erreur_au_lancement.html

Former member.
samurai0 Friday 16 May 2008 at 8:19
samurai0Anonymous

hi every time i go ti Applications>games>playonlinux it says to get the Izma package : Izma. where should i go to get the package? i tried google and everything. hope u can help

samurai0 Friday 16 May 2008 at 8:41
samurai0Anonymous

hi every time i go ti Applications>games>playonlinux it says to get the Izma package : Izma. where should i go to get the package? i tried google and everything. hope u can help

Quote from samurai0

im on ubuntu 7.10 btw. sry. i forgot 2 add that in

chain2k Friday 16 May 2008 at 11:58
chain2kAnonymous

hi,
lzma is 7zip archive extention
try to find p7zip or p7zip-full pazkage for your linux distribution
samurai0 Friday 16 May 2008 at 12:00
samurai0Anonymous

thank you soooooooooo much. i was actually waiting hours lol. thanks

samurai0 Friday 16 May 2008 at 13:08
samurai0Anonymous

it still says 2 install izma package everytime i go to playonlinux

Ghostofkendo Friday 16 May 2008 at 13:22
Ghostofkendo

Hi samourai0,

Why don't simply do what POL suggest you to do?
Just install the lzma package with the following command:
sudo apt-get install lzma

Not so hard finally, isn't it?

Bye

Editiert von: Ghostofkendo

samurai0 Friday 16 May 2008 at 18:26
samurai0Anonymous

thats a L not a I? yea i feel smart thanks